// ファイル名： Ch05/SolidLocator/SolidLocator.hh 
#pragma once 
#include <utility> 
#include "./Solid.hh" 
typedef pair<Solid*, Point3D> Solid_Position; 
 
class SolidLocator { 
 public: 
  SolidLocator(); 
 ~SolidLocator(); 
  void placeSolid(Solid* pSolid, Point3D solidPosition); 
  vector<Solid*> isPointInSolids(Point3D testPoint); 
 private: 
  vector<Solid_Position*> allSol_Pos; 
  vector<Solid*> inSolids; 
};
